Refuse to flash if fastboot have no knowledge about partition-exists.

Bug: 77290928
Change-Id: Ib4811e75b5a798a10a4b107f7643a964c268d8f1
diff --git a/generate-factory-images-common.sh b/generate-factory-images-common.sh
index a2d81ca..fdcb442 100644
--- a/generate-factory-images-common.sh
+++ b/generate-factory-images-common.sh
@@ -101,8 +101,8 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
-if ! grep -q dtbo.sig \$(which fastboot); then
-  echo "fastboot too old"
+if ! grep -q partition-exists \$(which fastboot); then
+  echo "fastboot too old; please download the latest version at https://developer.android.com/studio/releases/platform-tools.html"
   exit 1
 fi
 EOF
@@ -258,8 +258,8 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
-if ! grep -q dtbo.sig \$(which fastboot); then
-  echo "fastboot too old"
+if ! grep -q partition-exists \$(which fastboot); then
+  echo "fastboot too old; please download the latest version at https://developer.android.com/studio/releases/platform-tools.html"
   exit 1
 fi
 EOF